### robocode.control.events

# Class TurnEndedEvent

- `java.lang.Object`
- - `robocode.control.events.BattleEvent`
  - - `robocode.control.events.TurnEndedEvent`

`public class TurnEndedEvent`
`extends BattleEvent`

A TurnEndedEvent is sent to `onTurnEnded()` when the current turn in a battle round is ended.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

See Also:
  `IBattleListener`, `TurnStartedEvent`

  ## Constructor Summary

  `TurnEndedEvent(ITurnSnapshot turnSnapshot)`
    Creates a new TurnEndedEvent.

  ## Method Summary

  `ITurnSnapshot`

  `getTurnSnapshot()`
    Returns a snapshot of the turn that has ended.

## Constructor Details

### TurnEndedEvent

    public TurnEndedEvent(ITurnSnapshot turnSnapshot)

> Creates a new TurnEndedEvent.
> Parameters:
>   `turnSnapshot` - a snapshot of the turn that has ended.

## Method Details

### getTurnSnapshot

    public ITurnSnapshot getTurnSnapshot()

> Returns a snapshot of the turn that has ended.
> Returns:
>   a snapshot of the turn that has ended.